/**
 * Base class for all component edit panels
 *
 * @class Sb.editor.component.BaseEditPanel
 * @extends Ext.Panel
 */
Sb.editor.component.BaseEditPanel = Ext.extend(Ext.Panel, {
	autoRender: true,
	baseCls: 'sb-widget-edit-panel',
	frame: true,

	show: function(component) {
		this.component = component;
		Sb.editor.component.BaseEditPanel.superclass.show.call(this);
		if (this.component.manager) {
			this.component.manager.bringToFront(this.component);
		}
		this.autoAlign = true;
		this.reanchor();
		this.el.setStyle('z-index', parseInt(component.el.getStyle('z-index')) + 1);
	},

	reanchor: function() {
		if (this.component) {
			this.component.anchorControls();
		}
		if (this.autoAlign) {
			var offsetY 	= 5;
				meBottom	= offsetY + this.el.getBottom(),
				widgetTop	= this.component.el.getTop(),
				isUnder		= meBottom > widgetTop,
				position	= isUnder ? 'tl-bl?' : 'bl-tl?';

			if (!isUnder) {
				offsetY = 0;
			}

			this.alignTo(this.component.el, position, [0, offsetY], true);
		}
	},

	alignTo : function(element, position, offsets, animate) {
		var me = this.el, maxY;
		if (this.component.controlsEl.getY() > this.component.el.getY()) {
			offsets[1] += this.component.controlsEl.getHeight();
		}
		var xy = me.getAlignToXY(element, position, offsets);
		if (xy[1] < this.component.el.getY()) {
			xy[1] = Math.max(xy[1] - this.component.controlsEl.getHeight(), 0);
		}
		if (xy[1] > (maxY = Ext.lib.Dom.getViewHeight() - me.getHeight())) {
			xy[1] = maxY;
		}
		return me.setXY(xy,
			me.preanim && !!animate ? me.preanim(arguments, 3) : false);
	}
});