/**
 * @class Sb.model.SearchWidget
 * @extends Sb.model.Widget
 * Class for shared text widget model
 */
Sb.model.SearchWidget = Ext.extend(Sb.model.Widget, {

	/**
	 * @cfg {String} type
	 * defaults to <tt>search</tt>
	 */

	isShared: true,

	constructor: function(config) {
		config = Ext.apply({
			type: 'search'
		}, config);

		this.addEvents(
			/**
			 * @event providerchange
			 * Fires after the provider has changed.
			 */
			'providerchange'
		);

		Sb.model.SearchWidget.superclass.constructor.call(this, config);
	},

	/**
	 * Fires on changing of single property change to allow us fire up search widget change events.
	 * @param {String} key
	 */
	onUnserializePropertyChange: function (key) {
		if (key == 'provider') {
			this.fireEvent('providerchange');
		}
	}
});
