/**
 * @class Sb.widget.ScriptEditPanel
 * @extends Sb.widget.WidgetEditPanel
 * Class for script-based widgets
 */
Sb.widget.ScriptEditPanel = Ext.extend(Sb.widget.WidgetEditPanel, {
	initComponent: function() {
		this.widgetLabel = new Ext.form.Label({
			html		: SbGetLocaleByKey(this.widgetType.name + 'WidgetCodeLabel')
						+ ' <a href="' + Sb.Config.helpUrl
						+ encodeURIComponent('Widgets/' + Sb.Editor.Ui.editComponent.getXType().toUpperCaseFirst())
						+ '" target="_blank">' + SbGetLocaleByKey('learnMore') + '</a>'
		});

		this.codeTextArea = new Ext.form.TextArea({
			anchor		: '100%',
			height		: 150,
			hideLabel	: true
		});

		Ext.applyIf(this, {
			layout		: 'form',
			labelAlign	: 'top',
			autoHeight	: true,
			itemCls		: 'sb-widget-edit-panel-script-form',
			frame		: true,
			cls			: 'sb-widget-edit-panel-script',
			items		: [this.widgetLabel, this.codeTextArea],
			width		: 584
		});

		Sb.widget.ScriptEditPanel.superclass.initComponent.apply(this, arguments);
	},

	show: function(widget) {
		Sb.widget.ScriptEditPanel.superclass.show.call(this, widget);
		this.codeTextArea.setRawValue(this.widget.model.data.code);
	}
});