/**
 * @class Sb.widget.WidgetEditTabPanel
 * @extends Sb.widget.WidgetEditPanel
 * Base class for all widget edit panels with tabs
 * @constructor
 * @param {Object} config The config object
 */
Sb.widget.WidgetEditTabPanel = Ext.extend(Sb.widget.WidgetEditPanel, {
	frame: false,

	initComponent: function() {
		this.items = {
			xtype: 'tabpanel',
			autoHeight: true,
			items: this.items
		};

		Sb.widget.WidgetEditTabPanel.superclass.initComponent.apply(this, arguments);

		this.tabs = this.items.item(0);
		this.tabs.frame = true;
	},

	afterRender: function() {
		Sb.widget.WidgetEditTabPanel.superclass.afterRender.call(this);

		var hw = this.tabs.header.dom.offsetWidth;
		var	lis = this.tabs.strip.query('li:not(.x-tab-edge)');
		var	len = lis.length, i;
		for (i = 0; i < len; i++) {
			hw -= lis[i].offsetWidth + 2;
		}
		var delta = Math.floor(hw / len);
		for (i = 0; i < len - 1; i++) {
			lis[i].style.width = (lis[i].offsetWidth + delta) + 'px';
			hw -= delta;
		}
		lis[len - 1].style.width = (lis[len - 1].offsetWidth + hw + 2) + 'px';
	},

	show: function(widget) {
		Sb.widget.WidgetEditTabPanel.superclass.show.call(this, widget);

		var firstTab = this.tabs.items.get(0);
		if (firstTab == this.tabs.getActiveTab()) {
			this.tabs.activeTab.fireEvent('activate', this.tabs.getActiveTab());
		} else {
			this.tabs.setActiveTab(firstTab);
		}
	}
});
