/**
 * @class Sb.widgetType.Navigation
 * @extends Sb.widgetType.Shared
 */
Sb.widgetType.Navigation = Ext.extend(Sb.widgetType.Shared, {

	cssTemplateSource: [
		'{className} li > a {',
			'font-size: {level1FontSize}px;',
			'font-family: "{level1FontFamily}";',
			'font-weight: {[values.level1Bold ? "bold" : "normal"]};',
			'font-style: {[values.level1Italic ? "italic" : "normal"]};',
		'}',
		'{className} li > a .navigation-item-text {',
			'text-decoration: {[values.level1Underline ? "underline" : "none"]};',
		'}',
		'{className} li.selected > a .navigation-item-text, ',
		'{className} li.childselected > a .navigation-item-text {',
			'font-weight: {[values.level1BoldSelected ? "bold" : "normal"]};',
			'font-style: {[values.level1ItalicSelected ? "italic" : "normal"]};',
			'text-decoration: {[values.level1UnderlineSelected ? "underline" : "none"]};',
		'}',
		'{className} li:hover > a .navigation-item-text {',
			'font-weight: {[values.level1BoldHovered ? "bold" : "normal"]};',
			'font-style: {[values.level1ItalicHovered ? "italic" : "normal"]};',
			'text-decoration: {[values.level1UnderlineHovered ? "underline" : "none"]};',
		'}',
		'{className} li.selected:hover > a .navigation-item-text,',
		'{className} li.childselected:hover > a .navigation-item-text {',
			'font-weight: {[values.level1BoldSelected ? "bold" : "normal"]};',
		'}'
	],

	colorSchemeCssTemplateSource: [
		'<tpl if="level1ContainerBackgroundColor != \'\'">{className} { background-color: {level1ContainerBackgroundColor}; }</tpl>',
		'<tpl if="level1Color != \'\'">{className} > li > a { color: {level1Color};}</tpl>',
		'<tpl if="level1BackgroundColor != \'\'">{className} > li { background-color: {level1BackgroundColor}; }</tpl>',
		'<tpl if="level1ColorSelected != \'\'">{className} li.selected > a, {className} li.childselected > a { color: {level1ColorSelected}; }</tpl>',
		'<tpl if="level1BackgroundColorSelected != \'\'">{className} li.selected, {className} li.childselected { background-color: {level1BackgroundColorSelected}; }</tpl>',
		'<tpl if="level2Color != \'\'">{className} ul > li > a { color: {level2Color}; }</tpl>',
		'<tpl if="level2BackgroundColor != \'\'">{className} ul > li { background-color: {level2BackgroundColor}; }</tpl>',
		'<tpl if="level2Color != \'\'">{className} ul { border: 1px solid {level2Color}; }</tpl>',
		'<tpl if="level2Color != \'\'">{className} ul ul { border: 1px solid {level2Color}; }</tpl>',
		'<tpl if="level1ColorHovered != \'\'">{className} li:hover > a { color: {level1ColorHovered} !important; }</tpl>',
		'<tpl if="level1BackgroundColorHovered != \'\'">{className} li:hover { background-color: {level1BackgroundColorHovered} !important; }</tpl>'
	]
});