<?php
/**
 * Simple inline resolver
 *
 * @author Alexander Ustimenko <austimenko@parallels.com>
 * @since 2010/11/13
 * @package SB
 * @subpackage Auth
 * @copyright (c) 2004-2010, Parallels
 */
class Module_ProtectedPage_InlineResolver implements Zend_Auth_Adapter_Http_Resolver_Interface {

	/**
	 * Username
	 * @var string
	 */
	private $_username;

	/**
	 * Password
	 * @var string
	 */
	private $_password;

	/**
	 * Realm
	 * @var string
	 */
	private $_realm;

	/**
	 * @param array $authSettings Settings with keys: username, password, realm
	 * @param string $type basic OR digest
	 */
	public function __construct($authSettings, $type) {
		$this->_username = $authSettings['username'];
		$this->_password = ('digest' == $type)
			? md5($authSettings['username'] . ':' . $authSettings['realm'] . ':' . $authSettings['password'])
			: $authSettings['password'];
		$this->_realm = $authSettings['realm'];
	}

	public function resolve($username, $realm) {
		return ($username == $this->_username && $realm == $this->_realm) ? $this->_password : '';
	}

}